{% extends "layouts/base.html" %}
{% load static don_template_functions %}

{% block content %}
<div class="page-statistics container">
    <h1 class="mb-5">{{ title }}</h1>
    {% if is_oss %}
    <h2 class="mt-6">Top {{ top_programming_languages | length }} programmeertalen</h2>
    <ol class="top-programming-languages mb-12">
        {% for language, values in top_programming_languages %}
        <li class="programming-language">
            <span class="programming-language__dot" style="--language-color: {{ values.color }};"></span>
            {{ language }} ({{ values.usage_count }})
        </li>
        {% endfor %}
    </ol>
    {% endif %}
    <div id="don-stats-app"></div>
</div>
{% endblock %}

{% block tail %}
<script src="{% static 'dist/don-stats-app.js' %}"></script>
{% endblock %} 

